<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\ParticipationModel;

class ParticipationModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(ParticipationModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(ParticipationModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(ParticipationModel::class);
    }
}
